using System;
using System.Reflection;

internal sealed class Delegate266 : MulticastDelegate
{
	public extern bool Invoke(EventInfo eventInfo_0, EventInfo eventInfo_1);

	public static bool smethod_0(EventInfo eventInfo_0, EventInfo eventInfo_1, Delegate266 delegate266_1)
	{
		return delegate266_1(eventInfo_0, eventInfo_1);
	}

	public extern Delegate266(object object_0, IntPtr intptr_0);

	static Delegate266()
	{
		Class10.smethod_13(typeof(Delegate266).TypeHandle);
	}

	internal static Delegate266 delegate266_0;
}
